#include <iostream>
#include <string>
using namespace std;

int main()
{
  int n;
  cin>>n;
  string s;
  broj_ga_kurvo=0;
  for(int i=0;i<n;i++)cin>>s[i];
  for(int j=0;j<n;j++)
  {
      
  }

    return 0;
}